---
title: "Interface: RequestConfig"
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
aliases:
 - /desktop/extensions-sdk/dev/api/reference/interfaces/RequestConfig/
 - /extensions/extensions-sdk/dev/api/reference/interfaces/RequestConfig/
---

**`Since`**

0.2.0

## Properties

### url

• `Readonly` **url**: `string`

___

### method

• `Readonly` **method**: `string`

___

### headers

• `Readonly` **headers**: `Record`<`string`, `string`\>

___

### data

• `Readonly` **data**: `any`
